angular.module('RetroWheelApp.controllers', [])
	.controller('wheelsCtrl', function($scope, $http) {
		$http.get('http://rewakart.com/json/wheels.json').success(function(data){
			$scope.wheelsList = data;
		});
		
		$scope.go = function ( path ) {
		  $location.path( path );
		};
		
	//Contains the filter options
	  $scope.filterDiameterOptions = {
		diameters: [
		  {id : 1, name : 'All', diameter: 1 },
		  {id : 2, name : '10', diameter: 10 },
		  {id : 3, name : '12', diameter: 12 },
		  {id : 4, name : '13', diameter: 13 },
		  {id : 5, name : '14', diameter: 14 },
		  {id : 6, name : '15', diameter: 15 } 
		]
	  };
	   //Mapped to the model to filter
	  $scope.filterDiameterItem = {
		diameter: $scope.filterDiameterOptions.diameters[0]
	  };
	  //Custom filter - filter based on the diameter selected
	  $scope.customDiameterFilter = function (wheels) {
		if (wheels.diameter === $scope.filterDiameterItem.diameter.diameter) {
		  return true;
		} else if ($scope.filterDiameterItem.diameter.diameter === 1) {
		  return true;
		} else {
		  return false;
		}
	  };
		 //Contains the filter options
	  $scope.filterWidthOptions = {
		widths: [
		  {id : 1, name : 'All', width: 1 },
		  {id : 2, name : '4.5', width: 4.5 },
		  {id : 3, name : '5', width: 5 },
		  {id : 4, name : '5.5', width: 5.5 },
		  {id : 5, name : '6', width: 6 },
		  {id : 6, name : '6.5', width: 6.5 },
		  {id : 7, name : '7', width: 7 },
		  {id : 8, name : '7.5', width: 7.5 },
		  {id : 9, name : '8', width: 8 }
		 ]
	  };
	  //Mapped to the model to filter
	  $scope.filterWidthItem = {
		width: $scope.filterWidthOptions.widths[0]
	  };
	  //Custom filter - filter based on the width selected
	  $scope.customWidthFilter = function (wheels) {
		if (wheels.width === $scope.filterWidthItem.width.width) {
		  return true;
		} else if ($scope.filterWidthItem.width.width === 1) {
		  return true;
		} else {
		  return false;
		}
	  }; 
	  
	})
	.controller('wheelCtrl', function($scope, $http, $routeParams) {
		$http.get('http://rewakart.com/json/wheels.json').success(function(data){
			$scope.wheelsList = data;
			$scope.whichWheel = $routeParams.id;
				
			});
	});